# CEGUI::ComboboxProperties::CaratIndex Class Reference

Property to access the current carat index. More...

Inheritance diagram for CEGUI::ComboboxProperties::CaratIndex:

[legend]
Collaboration diagram for CEGUI::ComboboxProperties::CaratIndex:

[legend]
List of all members.

## Public Member Functions

String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.

## Detailed Description

Property to access the current carat index.

Usage:
  - Name: CaratIndex
  - Format: "[uint]"

Where:
  - [uint] is the zero based index of the carat position within the text.

## Member Function Documentation

String CEGUI::ComboboxProperties::CaratIndex::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

void CEGUI::ComboboxProperties::CaratIndex::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

Sets the value of the property.

Parameters:

  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.